Subject: bug#6225: Please add a hook for `isearch-process-search-string'

From: Lennart Borgman <[email-masked]>
Date: Thu, 20 May 2010 02:17:09 +0200

On Thu, May 20, 2010 at 2:07 AM, Juri Linkov <[email-masked]> wrote:
>> There is AFAICS no way to currently trigger actions when isearch
>> search string changes.
>>
>> I think it would be useful to have a hook for this. Some things that
>> you could do would for example
>>
>> - Sync with external apps (I currently want to sync with display in Firefox).
>>
>> - Show matches in buffers displayed in other windows on the same frame
>> could sometimes be useful.
>>
>> Could we please add such a hook? I think the place to run it is in
>> `isearch-process-search-string'.
>
> I think this will help you:
> http://thread.gmane.org/gmane.emacs.devel/121172

Thanks, but I am not sure... ;-)

It mentions a hook named isearch-update-post-hook. I can't find any
such hook. Is it there? What does it do?